### Method

# Aravis GcString set_value

#### Declaration [src]

    void
    arv_gc_string_set_value (
      ArvGcString* gc_string,
      const char* value,
      GError** error
    )

#### Description [src]

Set `value` as the new `gc_string` value.

#### Parameters

`value`

  Type: `const char*`

  New string value.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.